0

could someone please help me on the below error to get ride of it:

[oracle@localhost ~]$ dbca
UnsatisfiedLinkError exception loading native library: njni11
java.lang.UnsatisfiedLinkError: /u01/app/oracle/product/11.2.0/db_home/lib/libnjni11.so: libaio.so.1: cannot open shared object file: No such file or directory
Exception in thread "main" java.lang.UnsatisfiedLinkError: get
        at oracle.net.common.NetGetEnv.get(Native Method)
        at oracle.net.config.Config.getNetDir(Unknown Source)
        at oracle.net.config.Config.initConfig(Unknown Source)
        at oracle.net.config.Config.<init>(Unknown Source)
        at oracle.sysman.assistants.util.NetworkUtils.<init>(NetworkUtils.java:286)
        at oracle.sysman.assistants.util.step.StepContext.<init>(StepContext.java:332)
        at oracle.sysman.assistants.dbca.backend.Host.<init>(Host.java:811)
        at oracle.sysman.assistants.dbca.ui.UIHost.<init>(UIHost.java:258)
        at oracle.sysman.assistants.dbca.ui.InteractiveHost.<init>(InteractiveHost.java:54)
        at oracle.sysman.assistants.dbca.Dbca.getHost(Dbca.java:164)
        at oracle.sysman.assistants.dbca.Dbca.execute(Dbca.java:112)
        at oracle.sysman.assistants.dbca.Dbca.main(Dbca.java:180)
[oracle@localhost ~]$

4 Answers 4

1

Start with (use the appropriate install syntax for your distro)

sudo apt-get install libaio1 

and if that doesn't do the trick, do

sudo apt-get install libaio libaio-dev

Paul...

0

You maybe have several Oracle home in your server. Check your path environment: ORACLE_HOME/bin should be in first position.

0

search " libaio.so.1" file in directory, copy it or move to your path mentioned in error, as /u01/app/oracle/product/11.2.0/db_home/lib/

and this worked for me

0

I Have also faced this error and finally able to resolve. It will occur only if prerequisite have not been met.

Below are the two cases:

  1. Oracle binaries which you have downloaded is not supported by the OS.
  2. You have not installed the suggested oracle RPM packages.

In my case I was getting this error because of the missing oracle 11g RPM's.

Below are the list of suggested oracle 11g and 12c packages. Just crossverify once and try installing from fresh.

https://www.orahow.com/2018/07/dbca-unsatisfiedlinkerror-exception.html

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.